Hosts are shown as active.
Description

Hi,

since a few days all my hosts are shown as active. It looks like foreman treats a notify (notice) as an applied manifest and marks the

host active.

Regards,

Oliver

History

#1 - 01/10/2012 03:15 PM - Ohad Levy

what is your puppet clients version your master? is there a difference between versions?

#2 - 01/11/2012 02:43 AM - Oliver Weinmann

My puppetmaster is version 2.7.9 and my clients range from 2.6.9 to 2.7.1.

#3 - 01/11/2012 02:45 AM - Ohad Levy

- Status changed from New to Need more information

Oliver Weinmann wrote:

My puppetmaster is version 2.7.9 and my clients range from 2.6.9 to 2.7.1.

 could you provide some reports examples?

turn reports=store on your master, and attach the yaml file to the ticket.

thanks

#4 - 01/31/2012 04:11 AM - Oliver Weinmann

Hi,

here is what I have in yaml for one of the active hosts:

---

parameters:

puppetmaster: puppet.a.space.corp

foreman_env: &id001 production

owner_name: Oliver Weinmann

hostgroup: Repos

root_pw: ****

owner_email: Oliver.Weinmann@vegaspace.com

domainname: ""

classes:

- repos

environment: *id001
I noticed that the host has 3 notices in report. The same is for all the other hosts shown as active. But a notice should not be treated as active or?

#5 - 05/01/2012 04:51 PM - Jacob McCann

I would vote to leave things as they are in foreman concerning this.

Puppet treats hosts as 'active' (changes made) when using 'notify' so I think foreman should continue to do so as well.

From 'puppet apply --help':

* --detailed-exitcodes:

  Provide transaction information via exit codes. If this is enabled, an exit

  code of '2' means there were changes, an exit code of '4' means there were

  failures during the transaction, and an exit code of '6' means there were both

  changes and failures.

 And some code to see what puppet thinks of this:

hostA:~ # cat test.pp

notify{'test':}

hostA:~ # puppet apply --detailed-exitcodes test.pp

notice: test

notice: /Stage[main]//Notify[test]/message: defined 'message' as 'test'

notice: Finished catalog run in 0.26 seconds

hostA:~ # echo $?

2

 As you see the exitcode is 2, meaning puppet treats this as if 'there were changes'.  Basically the resource was applied to give the message.

And yes, my example isn't using a master/agent setup, but I'm sure if you tested it in that configuration the results would be the same.

#6 - 05/02/2012 07:13 AM - Ohad Levy

- Target version deleted (1.0)

#7 - 10/23/2012 06:57 AM - Oliver Weinmann

- Status changed from Need more information to Closed

Closed. As long as you don't use notice in your mainfests it's fine.

#8 - 02/11/2016 07:57 AM - Amir Barkal

Oliver Weinmann wrote:

Closed. As long as you don't use notice in your mainfests it's fine.

 Is it possible to make Foreman ignore the Notify resource so that nodes will not appear to be active when using it in a manifest?
